C
C     INTEGER NWM              MAX NUMBER OF WAVELENGTH POINTS IN PROFILES
C     INTEGER NGM              MAX NUMBER OF SURFACE GRAVITIES FOR PROFILES
C     INTEGER NTM              MAX NUMBER OF EFFECTIVE TEMPERATURES FOR PROFILES
C
      INTEGER NWM,NGM,NTM
      PARAMETER (NWM=256, NGM=4, NTM=20)
C
C     REAL WAVES (NWM)         ARRAY OF WAVELENGTHS
C     REAL FLUX  (NWM)         ARRAY OF FLUXES (FOR INPUT AND OUTPUT)
C     REAL GRAVS (NGM)         ARRAY OF SURFACE GRAVITIES
C     REAL TEFFS (NTM)         ARRAY OF EFFECTIVE TEMPERATURES
C     REAL GRID  (NTM,NGM,NWM) ARRAY OF FLUXES AS FN OF TEFF AND G
C     LOGICAL LGRID (NTM,NGM)  FLAGS SHOWING EXISTENCE OF PROFILES
C     CHARACTER PFILE(NGM,NTM) FILENAMES FOR MODEL ATMOSPHERES (BELFAST)
C
      REAL WAVES (NWM), FLUX(NWM), GRAVS(NGM), TEFFS(NTM)
      REAL GRID (NTM,NGM,NWM)
      LOGICAL LGRID (NTM,NGM)
      CHARACTER PFILE(NGM,NTM)*50
C
C     INTEGER NW               NUMBER OF WAVELENGTH POINTS IN PROFILES
C     INTEGER NG               NUMBER OF SURFACE GRAVITIES FOR PROFILES
C     INTEGER NT               NUMBER OF EFFECTIVE TEMPERATURES FOR PROFILES
C     
      INTEGER NW,NG,NT
      COMMON /R_PROF/ WAVES, TEFFS, GRAVS, GRID,  NW, NT, NG, LGRID
      COMMON /R_PROFC/ PFILE
C
