LTE codes on the SUN
--------------------

The LTE codes have been transferred to the SUN and it is
intended that they will become the default version. This
inplies that the VAX versions WILL NO LONGER BE MAINTAINED
AND WILL BECOME (even more!) UNRELIABLE.

The Sun version have a large number of improvements and
errors corrected - these are described in files in the
SUN directory /home/model/LTE/INFO.

Changes of interest to the user include

1. the ability to synthesise extensive wavelength regions 
   (upto 10,000 points)

2. the codes run much faster than on the VAX

3. they are and will become simpler to run e.g. the scripts
will automatically search directories for files.

Hence users should move across as quickly as possible.

To run the codes

1. Get a username on the SUN

2. Include in your login procedure the line

      alias pk 'source /home/model/SCRIPT/pk'      

3. Type 'pk' - this will list available packages
   then type LTE - this will create a directory
   /home/???/LTE/TEMP (where ??? is your username)
   if one does nor exist and move you to it. 
   The command can be combined to 

      pk LTE

5. Type    makelist     to create your own linelist - called lines.d
                        (this will not normally be necessary
                         as the default list is complete)
                         
           generate     to generate models called models.t
           
           spectrum     to run main code - results in
                           spectrum.t  and
                           dipso.nnn   where nnn goes from 001 to 999
                           
   Note all commands rename files such as spectrum.t to spectrum.t.old
   and then on next entry delete .old file.
 
6. The user will be asked the first time he/she runs a code
   to identify LT_TEMP - type in /home/???/LTE/TEMP
   
7. User will see a number of files in capital letters (e.g.
   LT_DATA:HEII_RED.DAT) - these are not real files but are
   softlinks to files in directories of the user 'model'.
   They should be left but no harm will occur if they are
   accidently deleted.
     
8. Only other significant change from users viewpoint in that DIPSO
   files are now written by OUTSPC (i.e. they are formatted)
   This will allow transfer back to the VAX and they should now
   be read into DIPSO using SP2RD.


THESE ARE REVISED INSTRUCTIONS _ IGNORE PREVIOUS ONES
