      SUBROUTINE LININT (X1,X2,Y1,Y2,X,Y)

!+
!    Provides a linear interpolation y(x) for given points y1(x1) and y2(x2).
!- 
      IMPLICIT REAL (A-H,O-Z)
!.
      IF (ABS(X2-X1).GT.1.E-8) THEN
         Y = Y1 + (X - X1) * ((Y2 - Y1) / (X2 - X1))

      ELSE
         WRITE(6,'('' *** LININT *** INFINITE GRADIENT '')')
         Y = (Y1 + Y2) / 2.

      ENDIF
      END
