      SUBROUTINE LOCMAX (XX,N,X,J)
!+
!= PERFORMS A BINARY SEARCH TO FIND LARGEST ELEMENT IN A MONOTONIC ARRAY
!  SEARCHES FOR J SUCH THAT X = XX(J) IS THE LARGEST VALUE IN ARRAY XX(1:N).
!
!-

! Arguments given.
      REAL      XX(*)
      INTEGER   N

!  Arguments returned.
      REAL      X
      INTEGER   J

!.

      J = 1
      X = XX(J)
      DO I = 2,N
         IF (XX(I).GT.X) THEN
           J = I
           X = XX(J)
         ENDIF
      ENDDO
      END
