      SUBROUTINE VB06A  (M,N,XD,YD,RD,WEIGHT,WD,XN,FN,GN,DN,THETA,W)

!+
!=    No description.
!-
      IMPLICIT  REAL*4    (A-H,O-Z)
      IMPLICIT  INTEGER*4 (I-N)
      LOGICAL   WEIGHT
      DIMENSION W(*),XD(*),YD(*),WD(*),RD(*),XN(*),FN(*),
     #          GN(*),DN(*),S(7),THETA(*)
!.

! Transfer knots to W and insert extra knots at ends of range.

      XN(N)=MAX(XN(N),XD(M))
      DO 1 I=1,N
      W(I+3)=XN(I)
1     CONTINUE
      DO 2 J=1,3
      K=4-J
      W(K)=W(K+1)+W(K+1)-W(K+2)
      K=J+N
      W(K+3)=W(K+2)+W(K+2)-W(K+1)
2     CONTINUE

! Set up the least squares equations in W.

      I=1
      J=2
      K=N+13
      AA=1.0/((W(3)-W(4))*(W(3)-W(5))*(W(3)-W(6))*(W(3)-W(7)))
      D=1.0/((W(5)-W(1))*(W(5)-W(2))*(W(5)-W(3))*(W(5)-W(4)))
3     A=AA
      AA=1.0/((W(J+2)-W(J+3))*(W(J+2)-W(J+4))*(W(J+2)-W(J+5))*
     #(W(J+2)-W(J+6)))
      B=AA*(W(J+2)-W(J+6))/(W(J+2)-W(J+1))
      DD=D
      D=1.0/((W(J+4)-W(J))*(W(J+4)-W(J+1))*(W(J+4)-W(J+2))*
     #(W(J+4)-W(J+3)))
      C=DD*(W(J+3)-W(J-1))/(W(J+3)-W(J+4))
      FN(J-1)=K-7
      IF(J-2) 4,4,5
4     W(K-6)=-DD
      W(K-5)=-C-D
      W(K-4)=A+B
      W(K-3)=AA
      W(K-2)=0.0
      IF(I-M) 6,6,7
6     W(K-1)=1.0
      W(K)=0.0
      GOTO 8
5     W(K-4)=-AW*(W(K-4)+C+D)
      W(K-3)=AW*B
      W(K-2)=AW*AA
8     K=K+7
      IF(I-M) 9,9,12
9     IF(W(J+3)-XD(I))11,10,10
10    WDI=1.0
      IF(WEIGHT) WDI=WD(I)
      W(K-6)=DD*WDI*(W(J+3)-XD(I))**3
      W(K-5)=WDI*(C*(W(J+3)-XD(I))**3+D*(W(J+4)-XD(I))**3)
      W(K-4)=WDI*(A*(XD(I)-W(J+1))**3+B*(XD(I)-W(J+2))**3)
      W(K-3)=WDI*AA*(XD(I)-W(J+2))**3
      W(K-2)=WDI*YD(I)
      W(K-1)=0.0
      W(K)=0.0
      I=I+1
      GOTO 8
12    IF(J-N) 11,4,4
11    J=J+1
      AW=6.0*THETA(J-1)
      W(K-6)=AW*DD
      W(K-5)=AW*C
      W(K-4)=A+B
      GOTO 3
7     W(K-1)=0.0
      W(K)=1.0
      FN(J)=K

! Apply householder orthogonal transformations to obtain an upper
! triangular least squares matrix.

      KUMAX=K
      I=1
      IPR=N-1
      NPINIT=7
13    I=I+1
      IPR=IPR+7
      NP=NPINIT
      J=I+NP
      HRT = FN(J-8) + 1.5D0
      KL=MAX(IPR+8,IFIX(HRT))
      HRT = FN(J-7) + 5.0D-1
      KU=IFIX(HRT)
      IF(NP-3) 14,14,15
14    W(IPR+1)=0.0D0
      W(IPR+2)=0.0D0
      W(IPR+3)=0.0D0
      GOTO 25
15    IF(KU-KL) 25,25,17
17    NPINIT=NPINIT-1
      GOTO 18
16    NP=NP+1
      J=IPR+NP
      W(J)=W(J-1)
      W(J-1)=W(J-2)
      W(J-2)=W(J-3)
      W(J-3)=0.0D0
      KL=KU+1
      J=I+NP
      HRT = FN(J-7) + 5.0D-1
      KU=IFIX(HRT)
18    DO 19 J=1,NP
      JP=IPR+J
      S(J)=W(IPR+1)*W(JP)
19    CONTINUE
      KPIV=0
      PIVMAX=ABS(W(IPR+1))
      DO 20 K=KL,KU,7
      DO 21 J=1,NP
      JJ=K+J
      S(J)=S(J)+W(JJ-1)*W(K)
21    CONTINUE
      IF(PIVMAX-ABS(W(K)))70,20,20
70    PIVMAX=ABS(W(K))
      KPIV=K
20    CONTINUE
      IF(KPIV)71,71,72
72    DO 73 J=1,NP
      JJ=IPR+J
      A=W(JJ)
      W(JJ)=W(KPIV)
      W(KPIV)=A
      KPIV=KPIV+1
73    CONTINUE
71    AA=SIGN(SQRT(S(1)),W(IPR+1))
      B=W(IPR+1)+AA
      IF(AA.NE.0) A=1.0/(AA*B)
      DO 22 J=2,NP
      JP=IPR+J
      S(J)=A*(S(J)+AA*W(JP))
      W(JP)=W(JP)-B*S(J)
22    CONTINUE
      W(IPR+1)=-AA
      DO 23 K=KL,KU,7
      A=W(K)
      DO 24 J=2,NP
      JJ=K+J
      W(JJ-2)=W(JJ-1)-A*S(J)
24    CONTINUE
23    CONTINUE
      IF(KU-KUMAX) 25,26,26
25    IF(NP-7) 16,27,27
27    GN(I)=SQRT(W(IPR+1)**2+W(KU+1)**2)
      A=W(IPR+1)/GN(I)
      B=W(KU+1)/GN(I)
      C=W(KU+5)
      DO 28 J=1,3
      JP=IPR+J
      JJ=KU+J
      W(JP)=A*W(JP+1)+B*W(JJ+1)
      W(JJ)=A*W(JJ+1)-B*W(JP+1)
      W(JJ+4)=-B*W(JP+4)
      W(JP+4)=A*W(JP+4)
28    CONTINUE
      W(IPR+4)=B*C
      W(KU+4)=A*C
      GOTO 13
26    IF(NP-4) 29,29,13

! Back-substitution to obtain multipliers of fundamental splines.

29    K=KUMAX
      DO 30 J=1,4
      K=K-3
      JJ=IPR+J
      DO 31 I=1,3
      KK=K+I
      JK=JJ+I
      W(KK)=W(JK)
      L=IPR+1
      LK=KK
32    IF(L-JJ) 33,34,34
33    L=L+1
      LK=LK+3
      W(KK)=W(KK)-W(LK)*W(L)
      GOTO 32
34    W(KK)=W(KK)/W(IPR+1)
31    CONTINUE
      IPR=IPR-7
30    CONTINUE
      L=N
35    IF(IPR-N) 36,36,37
37    K=K-3
      L=L-1
      DO 38 I=1,3
      KK=K+I
      JJ=IPR+I
      W(KK)=(W(JJ+4)-W(IPR+1)*W(KK+3)-W(IPR+2)*W(KK+6)-W(IPR+3)*W(KK+9)
     1-W(IPR+4)*W(KK+12))/GN(L)
38    CONTINUE
      IPR=IPR-7
      GOTO 35
36    KRES=K

! Calculate spline values at the data points, and scalar products.

      KSDATA=KRES-3*M
      I=1
      J=1
      DO 43 L=1,5
      S(L)=0.0
43    CONTINUE
      KK=KSDATA
      AA=1.0D0/((W(3)-W(4))*(W(3)-W(5))*(W(3)-W(6))*(W(3)-W(7)))
      D=1.0D0/((W(5)-W(1))*(W(5)-W(2))*(W(5)-W(3))*(W(5)-W(4)))
39    J=J+1
      K=K+3
      A=AA
      AA=1.0/((W(J+2)-W(J+3))*(W(J+2)-W(J+4))*(W(J+2)-W(J+5))*
     #(W(J+2)-W(J+6)))
      B=AA*(W(J+2)-W(J+6))/(W(J+2)-W(J+1))
      DD=D
      D=1.0/((W(J+4)-W(J))*(W(J+4)-W(J+1))*(W(J+4)-W(J+2))*
     #(W(J+4)-W(J+3)))
      C=DD*(W(J+3)-W(J-1))/(W(J+3)-W(J+4))
40    IF(XD(I)-XN(J)) 41,41,39
41    DO 42 L=1,3
      LK=L+K
      KU=L+KK
      W(KU)=A*W(LK+3)*(XD(I)-W(J+1))**3+(B*W(LK+3)+AA*W(LK+6))*
     #(XD(I)-W(J+2))**3+(C*W(LK)+DD*W(LK-3))*(W(J+3)-XD(I))**3
     #+D*W(LK)*(W(J+4)-XD(I))**3
42    CONTINUE
      RD(I)=YD(I)-W(KK+1)
      WDI=1.0
      IF(WEIGHT) WDI=WD(I)
      AS=WDI*RD(I)
      BS=WDI*W(KK+2)
      CS=WDI*W(KK+3)
      S(1)=S(1)+BS*BS
      S(2)=S(2)+BS*CS
      S(3)=S(3)+CS*CS
      S(4)=S(4)+AS*BS
      S(5)=S(5)+AS*CS
      I=I+1
      KK=KK+3
      IF(I-M) 40,40,44

! Calculate the residuals and parameters of the required spline.

44    DET=S(1)*S(3)-S(2)*S(2)
      A=(S(3)*S(4)-S(2)*S(5))/DET
      B=(S(1)*S(5)-S(2)*S(4))/DET
      K=KSDATA
      DO 45 I=1,M
      K=K+3
      RD(I)=RD(I)-A*W(K-1)-B*W(K)
45    CONTINUE
      KL=KRES+1
      DO 46 K=KL,KUMAX,3
      W(K)=W(K)+A*W(K+1)+B*W(K+2)
46    CONTINUE

! Compute elements of FN, GN and DN.

      K=KRES
      AA=1.0/((W(2)-W(3))*(W(2)-W(4))*(W(2)-W(5))*(W(2)-W(6)))
      DN(1)=0.0D0
      DO 47 J=1,N
      A=AA*W(K+4)*(XN(J)-W(J+1))**2
      AA=1.0D0/((W(J+2)-W(J+3))*(W(J+2)-W(J+4))*(W(J+2)-W(J+5))*
     #(W(J+2)-W(J+6)))
      B=AA*(W(K+7)+W(K+4)*(W(J+2)-W(J+6))/(W(J+2)-W(J+1)))*
     #(XN(J)-W(J+2))**2
      DD=W(K+1)*(W(J+4)-XN(J))/((W(J+4)-W(J))*(W(J+4)-W(J+1))*
     #(W(J+4)-W(J+2)))
      FN(J)=A*(XN(J)-W(J+1))+B*(XN(J)-W(J+2))+DD*(W(J+4)-XN(J))
      GN(J)=3.0D0*(A+B-DD)
      IF(J-1) 48,48,49
49    DN(J)=6.0D0*(GN(J-1)+GN(J)+2.0D0*(FN(J-1)-FN(J))
     #      /(XN(J)-XN(J-1)))/(XN(J)-XN(J-1))**2
      DN(J-1)=DN(J)-DN(J-1)
48    K=K+3
47    CONTINUE
      RETURN
      END
