      SUBROUTINE BLSDEF (ADEF)

!+
!     PROGRAM:      BLSDEF
!     PURPOSE:      
!=                  SET UP DEFAULT SINC**2 BLAZE FUNCTION
!
!     REFERENCES:   
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      12.01.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        ADEF     DEFAULT VALUE FOR ALPHA
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
!.

!     LOOP OVER ORDERS
      DO 20 M = 1,NECORD
         BLA(M)     = ADEF
         BLWCEN(M)  = ECSLAM(M) + NECWAV(M) * ECDLAM(M) / 2.
         BLFMAX(M)  = 1.0
         BLK(M)     = MECORD(M) * BLWCEN(M)
         BLXMIN(M)  = ECSLAM(M) +     1     * ECDLAM(M) - BLWCEN(M)
         BLXMAX(M)  = ECSLAM(M) + NECWAV(M) * ECDLAM(M) - BLWCEN(M)
 20      CONTINUE

      END
