      SUBROUTINE CAPUSH (CSORCE)

!+
!     PROGRAM:    CAPUSH
!     PURPOSE:    
!=                PUSH DATA FROM CURRENT ARRAYS INTO TARGET 
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'cadeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'gddeck.f'


      CHARACTER*(*)  CSORCE
      CHARACTER*10   SOURCE
!.


!     IDENTIFY THE TARGET

!     AS SUBROUTINE ARGUMENT
      IF (CSORCE.NE.'USER') THEN
         SOURCE = CSORCE
!     AS COMMAND ARGUMENT
      ELSEIF (NARG.GE.1) THEN
         SOURCE = ARG(1)
!     REQUEST FROM USER
      ELSE
         CALL GETCHV ('CAPUSH: Target for data',SOURCE)
      ENDIF
!     CONVERT TO UPPERCASE
      CALL UPCASE (SOURCE)

!     NOW PUT IT INTO THE APPOINTED PLACE

!     INTO THE SPECTRUM
      IF (SOURCE(1:2).EQ.'SP') THEN
         SPHEAD(1) = CHEAD
         SPHEAD(2) = ' '
         NSPW = NCX
         DO 101 I = 1,NSPW
            SPW(I) = CX(I)
            SPF(I) = CY(I)
101         CONTINUE
         CALL MINMAX (SPW,1,NSPW,SPWMIN,SPWMAX)
         CALL MINMAX (SPF,1,NSPW,SPFMIN,SPFMAX)
         SPWD = (SPWMAX-SPWMIN) / FLOAT(NSPW)
         SPW0 = SPWMIN - SPWD

!     INTO THE LINE PROFILE
      ELSEIF (SOURCE(1:2).EQ.'LP') THEN
         LPHEAD(1) = CHEAD
         LPHEAD(2) = ' '
         NLPW = NCX
         DO 201 I = 1,NLPW
            LPW(I) = CX(I)
            LPF(I) = CY(I)
201         CONTINUE
         LPWC = 0.
         CALL MINMAX (LPW,1,NLPW,LPWL,LPWR)

!     INTO A NEW GRID
      ELSEIF (SOURCE(1:4).EQ.'GRID') THEN
         NGX = NCX
         DO 301 I = 1,NGX
            GX(I) = CX(I)
            GY(I) = CY(I)
301         CONTINUE
         CALL MINMAX (GX,1,NGX,GXMIN,GXMAX)
         GXINT = (GXMAX-GXMIN) / FLOAT(NGX)

!     FROM THE ECHELLE / DATA STACKS ?

!     NO MORE TARGETS
      ELSE
         CALL MESSGE ('CAPUSH: Target not identified')
      ENDIF

!     QUIT
      END
