      SUBROUTINE HELP

!+
!     PROGRAM:       HELP
!     PURPOSE:       
!=                   PROVIDE EXPLANATIONS FOR 'PROFILE' COMMANDS
!     AUTHOR:        C.S.JEFFERY
!     DATE:          16 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'iodeck.f'
      CHARACTER*79 HLPLIN, HLPCOM
      CHARACTER*1  RET
      INTEGER      LUHL, INDEX, IERR
!.

      CALL LUOPEN (HLFILE, 'OLD', 'READONLY', 'FORMATTED',
     1             LUHL, INDEX, IERR)
      IF (IERR.NE.0) GO TO 999

!     PRINT THE SUMMARY HELP FILE
      IF (NARG.EQ.0) THEN
         DO 110 I = 1,999
            READ (LUHL,2000,END=130) HLPLIN   
            IF (HLPLIN(1:3).EQ.'***') GO TO 130
            IF (HLPLIN(1:3).EQ.'---') THEN
               CALL GETCHV ('--->',RET)
               IF (RET.EQ.'Q') GO TO 130
               GO TO 110
            ENDIF
            WRITE (LULP,1001) HLPLIN
110      CONTINUE

!     PRINT INDIVIDUAL HELPS
      ELSE
         HLPCOM = ARG(1)

!        FIND THE RIGHT PART OF THE FILE
         DO 115 I = 1,999
            READ (LUHL,2000,END=121) HLPLIN
            IF (HLPLIN(1:3).EQ.'***') GO TO 116
115      CONTINUE
         GO TO 121

116      DO 120 I = 1,999
            READ (LUHL,2000,END=121) HLPLIN
            IF (HLPLIN(1:6).EQ.HLPCOM(1:6)) THEN

!              PRINT IT OUT
               DO 119 J = 1,100
                  READ (LUHL,2000) HLPLIN
                  IF (HLPLIN(1:3).EQ.'***') GO TO 130
                  WRITE (LULP,1001) HLPLIN
119            CONTINUE
            ENDIF
120      CONTINUE

!        FAILED TO FIND THIS HELP
121      WRITE (LULP,1001) 'HELP: Sorry, no help for '//HLPLIN(1:6)
      ENDIF

130   CALL LUSHUT (LUHL, IERR)

999   END
