      SUBROUTINE IMWR (IMFILE, IERR)
C
C-----------------------------------------------------------------------:-------
C     PROGRAM:      IMWR
C     PURPOSE:      WRITE A 2D IMAGE IN 'IMAGE' FORMAT
C
C     HISTORY:
C     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
C     1.0           microVAX      09.08.87  C.S.JEFFERY / ST.ANDREWS
C
C-----------------------------------------------------------------------:-------
      INCLUDE 'implct.f'
      INCLUDE 'imdeck.f'
C-----------------------------------------------------------------------:-------
      CHARACTER*(*) IMFILE
      INTEGER       LUI, IERR, INDEX
C-----------------------------------------------------------------------:-------
C
C.....CREATE THE IMAGE FILE
C
      CALL LUOPEN (IMFILE, 'NEW', ' ',     'UNFORMATTED',
     1                      LUI,   INDEX,   IERR)
      IF (IERR.NE.0) GOTO 998
C
C.....WRITE THE IMAGE
C
      WRITE (LUI,ERR=999) XTITLE
      WRITE (LUI,ERR=999) XUNITS
      WRITE (LUI,ERR=999) NXPTS
      WRITE (LUI,ERR=999)  (XDATA(I),   I=1,NXPTS)
      WRITE (LUI,ERR=999) YTITLE
      WRITE (LUI,ERR=999) YUNITS
      WRITE (LUI,ERR=999) NYPTS
      WRITE (LUI,ERR=999)  (YDATA(J),               J=1,NYPTS)
      WRITE (LUI,ERR=999) ZTITLE
      WRITE (LUI,ERR=999) ZUNITS
      WRITE (LUI,ERR=999) ((ZDATA(I,J), I=1,NXPTS), J=1,NYPTS)
C
C.....TIDY UP
C
      CALL LUSHUT (LUI,IERR)
      GOTO 888
C
C.....ERROR HANDLERS
C
999   CALL OUTSTR ('IMWR ** Error ** writing image file '//IMFILE(1:20))
      IERR  = 2
      GOTO 888
C
998   CALL OUTSTR ('IMWR ** Error ** opening image file '//IMFILE(1:20))
      IERR  = 1
      GOTO 888
C
C.....EXIT
C
888   END
