      SUBROUTINE IMWRIT (CARG1)
C
C-----------------------------------------------------------------------:-------
C     PROGRAM:      IMWRIT
C     PURPOSE:      PREPARE TO WRITE A 2D IMAGE WITH IMWR
C     REFERENCES:   
C
C     HISTORY:
C     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
C     1.0           microVAX      09.08.87  C.S.JEFFERY / ST.ANDREWS
C
C-----------------------------------------------------------------------:-------
      INCLUDE 'implct.f'
      INCLUDE 'ctdeck.f'
C-----------------------------------------------------------------------:-------
C
C.....SUBROUTINE ARGUMENT
      CHARACTER*(*) CARG1
C
C.....DATA FILENAME
      CHARACTER*80 IMFILE
C
C-----------------------------------------------------------------------:-------
C
C.....IDENTIFY THE OUTPUT FILE
C
      IF (CARG1.NE.' ') THEN
         IMFILE = CARG1
      ELSEIF (NARG.NE.0) THEN
         IMFILE = ARG(1)
      ELSE
         CALL GETCHV ('IMWRIT: Enter name of image file: ',IMFILE)
      ENDIF
C
      IF (IMFILE.EQ.' ') GOTO 999
C
C.....WRITE THE IMAGE TO AN UNFORMATTED 'IMAGE' FILE
C
      CALL IMWR (IMFILE,IERR)
      GOTO 888
C
C.....ERRORS
C
999   CALL OUTSTR ('IMWRIT: No data written')
      GOTO 888
C
C.....EXIT
C
888   END
