      SUBROUTINE LPPLOT

!+
!     PROGRAM:       LPPLOT
!     PURPOSE:       
!=                   TO PLOT THE CURRENT LINE PROFILE 
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          21 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'lpdeck.f'
      REAL         X, Y
      INTEGER      SKIP, I
!.

!     LOOP THROUGH DATA MARKING EACH DATUM
      SKIP = 1
      DO 1 I = 1,NLPW,SKIP
         X = LPW(I) + LPWC
         Y = LPF(I) * (CFL + CCA * (X - CWL))
         CALL GX_QMOV (X,Y)
         CALL GX_PMRK (4,0.01,0.125)
1     CONTINUE

      CALL GX_FLSH

!     QUIT
      END
