
      SUBROUTINE TITLE (CARG1,CARG2)

!+
!     PROGRAM:      TITLE
!     PURPOSE:      
!=                  RETITLE SPECIFIED DATA STRUCTURE
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      12.01.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ctdeck.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'cadeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'lpdeck.f'

      CHARACTER     CARG1*(*), CARG2*(*), CTITLE*79, STRUCT*10
!.

!     SELECT THE DATA STRUCTURE

!     FROM THE SUBROUTINE ARGUMENT
      IF (CARG1.NE.'USER') THEN
         STRUCT = CARG1
!     FROM THE COMMAND ARGUMENT
      ELSEIF (NARG.GE.1) THEN
         STRUCT = ARG(1)
!     REQUEST FROM USER
      ELSE
         CALL GETCHV ('TITLE: Data structure to be retitled', STRUCT)
      ENDIF

!     NOW GET THE TITLE

!     FROM THE SUBROUTINE ARGUMENT
      IF (CARG2.NE.' ') THEN
         CTITLE = CARG2
!     FROM THE COMMAND ARGUMENT
      ELSEIF (NARG.GE.2) THEN
         CTITLE = ' '
         DO 10 I = 2,NARG
10          CTITLE = CTITLE // ' ' // ARG(I)
!     REQUEST FROM USER
      ELSE
         CALL GETCHV ('TITLE: New title ', CTITLE)
      ENDIF

!     ATTACH IT TO THE SPECIFIED DATA STRUCTURE

      IF (STRUCT(1:2).EQ.'CU') THEN
         CHEAD = CTITLE

      ELSEIF (STRUCT(1:2).EQ.'SP') THEN
         SPHEAD(1) = CTITLE

      ELSEIF (STRUCT(1:2).EQ.'LP') THEN
         LPHEAD(1) = CTITLE

      ELSEIF (STRUCT(1:2).EQ.'EC') THEN
         ECHEAD = CTITLE

      ELSE
         CALL OUTCHV ('TITLE: * Error * non-existent structure', STRUCT)
      ENDIF

!     QUIT
      END
