      SUBROUTINE HSTARK(TEMPH,PEH,NLOW,NUP)

!+
!=      Normalised hydrogen line opacity for balmer lines
!-

!    Public constants
      USE SPC_CONSTANTS

!   Global variables
      USE SPC_GLOBAL

!  Double precision version
      IMPLICIT REAL*8 (A-H,O-Z)

!.

!  Electron density
      ELN=1.0E15*CELNUM*PEH/TEMPH

!  Standard VCS tables for Lyman, Balmer and Paschen lines
      CALL VCS2 (NLOW,NUP,ELN,TEMPH,W,WORK,NW)

      END



!  Kurucz tables for H-alpha,beta,gamma,delta,epsilon
!  Now only used for Halpha
!  12.ii.2013 -- Under gfortran, this is causing problems
!  so have gone to VCS2 by default. 
!  This probably omits some physics.
   !  IF (NLOW.EQ.2 .AND. NUP.LE.3) THEN
   !     CALL VCS(ELN,TEMPH,NUP,W,WORK,NW)
   !
!  Standard VCS tables for Lyman, Balmer and Paschen lines
   !  ELSE
   !     CALL VCS2 (NLOW,NUP,ELN,TEMPH,W,WORK,NW)
   !
   !  ENDIF
