      SUBROUTINE INTEG

!+
!=      Dummy routine to calculate surface fluxes and continuum optical depths
!       where the line optical depth is approximately unity
!-

!   Global variables
      USE SPC_GLOBAL, ONLY : NSOURCE

!.

!       Select form for source function

      IF(NSOURCE.EQ.2) THEN
        CALL INTEG_AVLO
      ELSEIF(NSOURCE.EQ.3.OR.NSOURCE.EQ.7) THEN
        CALL INTEG_FEAUTRIER
      ELSE
        CALL INTEG_PLANCK
      ENDIF

      END
