SUBROUTINE LIN_OP

  !+
  !=      Calculates opacity
  !-

  !  Global variables
  USE SPC_GLOBAL, ONLY : NMODE
  USE SPC_GLOBAL, ONLY : NSP, NLINE
  USE SPC_GLOBAL, ONLY : IH, IHE, IDHE, IDHE2

  ! No implicit typing
  IMPLICIT NONE

  !.


  !  Checks for type of calculation
  IF    (NMODE == 10.OR.NMODE == 11)  THEN
     CALL LSYNT

  ELSE
     NLINE = 0

     !  Hydrogen line

     IF     (NSP == 1)                 THEN
        CALL LHI


        !  Diffuse helium line

     ELSEIF (NSP == 2 .AND. IDHE > 0) THEN
        CALL LHEI


        !  Ionized helium line

     ELSEIF (NSP == 2 .AND. IDHE2 > 0) THEN
        CALL LHEII


        !  Metal or non-diffuse helium line

     ELSE
        CALL LMETAL

     ENDIF

  ENDIF

END SUBROUTINE LIN_OP
