      FUNCTION ROT(X,B)
!+
!=  Rotational broadening function, B is limb darkening coefficient.
!-
      PARAMETER(PI=3.14159265)
!.
      IF(ABS(X).LT.1.)THEN
         ROT=(2.*SQRT(1-X*X)/PI+B*(1-X*X)/2.)*3./(3.+2.*B)
      ELSE
         ROT=0.
      ENDIF
      END
