
  subroutine OUTMOD

!+
!   OUTMOD
!
!  Output current model - and update regularly
!
!-


    USE LTE_WLGRID
    USE LTE_MODEL
    USE OP_GLOBAL
    USE STN_PARAMETERS
    USE STN_SWITCHES
    USE STN_INTGRA

    IMPLICIT NONE

!  Local variables.
      REAL, DIMENSION(LL) ::  FNUX

      INTEGER :: I, J
      INTEGER :: LLA

!.

      OPEN(9,FILE='STN_MODEL',STATUS='UNKNOWN',FORM='FORMATTED')

      WRITE(9,'(F6.0,F5.2)') TEFF,GLG
      WRITE(9,'(10(1PE10.3))') (OP_ALPNN(I,50), I = 1,10)          
      WRITE(9,'(10(1PE10.3))') (OP_ALPNN(I,50), I = 11,20)          
      WRITE(9,'(10(1PE10.3))') (OP_ALPNN(I,50), I = 21,30)
      WRITE(9,'(10(1PE10.3))') (OP_ALPNN(I,50), I = 31,40)          
      WRITE(9,'(10F8.1)')  (temp(J), J = 1,ND)    
      WRITE(9,'(10E10.3)') (GRAD(J), J = 1,ND)            
      WRITE(9,'(10F8.4)')  (LOG10(kappa(J)), J = 1,ND)            
      WRITE(9,'(10F8.4)')  (LOG10(P_total(J)), J = 1,ND)              
      WRITE(9,'(10F8.4)')  (LOG10(P_e(J)), J = 1,ND)             
      WRITE(9,'(5E15.7)')  (tau(J),J=1,ND)
      !WRITE(9,'(5F14.7)') (temp(J), J = 1,ND)    
      !WRITE(9,'(5E10.3)') (GRAD(J), J = 1,ND)            
      !WRITE(9,'(5F12.8)')  (LOG10(kappa(J)), J = 1,ND)            
      !WRITE(9,'(5F12.8)')  (LOG10(P_total(J)), J = 1,ND)              
      !WRITE(9,'(5F12.8)')  (LOG10(P_e(J)), J = 1,ND)             
      !WRITE(9,'(5E15.7)')  (tau(J),J=1,ND)
      WRITE(9,'(I4)') LM
      WRITE(9,'(10G11.4)')  ((OP_ALPNN(I,J),I=1,10),J=1,ND)
      write(9,*)
      WRITE(9,'(10G11.4)')  ((OP_ALPNN(I,J),I=11,20),J=1,ND)
      write(9,*)
      WRITE(9,'(10G11.4)')  ((OP_ALPNN(I,J),I=21,30),J=1,ND)
      write(9,*)
      WRITE(9,'(10G11.4)')  ((OP_ALPNN(I,J),I=31,40),J=1,ND)
      LLA=LL-LA+1
      WRITE(9,'(I4)') LLA
      DO J=LA,LL
        FNUX(J) = 2.99793E18*fnue(J)/wl(J)/wl(J)
      ENDDO
!      WRITE(9,'(F8.1,E12.5,F8.3)') (wl(J),FNUX(J),blk(J),J=LA,LL)
      WRITE(9,'(F8.1,E12.5)') (wl(J),FNUX(J),J=LA,LL)
      write(9,'(E15.7,F8.1)')  (tau(J),temp(J),J=1,ND)

      CLOSE (9)


  end subroutine OUTMOD
