      SUBROUTINE KEY_OPEN (FILE, LUNIT)

!+
!     PROGRAM:      KEY_OPEN
!     PURPOSE:      
!=                  OPEN A FILE FOR READING KEYWORD COMMANDS
!
!     INPUT:        FILE       NAME OF FILE TO BE OPENED
!                  LUNIT      UNIT NUMBER ASSIGNED TO FILE
!-

      CHARACTER*(*)     FILE
      INTEGER           LUNIT
!.


!.....OPEN THE FILE 
      OPEN (UNIT=LUNIT,FILE=FILE,STATUS='OLD',ERR=92)
      GOTO 100

!.....ERROR DETECTED
92    CALL STR_ERR ('STR_OPEN', 'Failed to open file : '//FILE(1:20))
      GO TO 99

99    IERR   = 1

!.....QUIT
100   END
