      SUBROUTINE STR_DEF (VCR, VLP)

!+
!=     INITIALISE THE LOGICAL UNIT NUMBERS USED IN 'IODECK.INC'
!     VCR AND VLP ARE VIRTUAL UNIT NUMBERS RETURNED TO THE CALLING PROGRAM
!-
      INCLUDE 'str_par.f'
      INTEGER  VCR, VLP
!.

!.....CHECK FOR FORCED TERMINAL I/O UNIT NUMBERS AND PLACE IN IODECK
      IF (VCR+VLP.GT.0) THEN
         LUCR = VCR
         LULP = VLP

!.....OTHERWISE USE DEFAULTS AND RETURN VIRTUAL UNIT NUMBERS
      ELSE
         LUCR = 5
         LULP = 6
         VCR  = LUCR
         VLP  = LULP
      ENDIF

!.....CLOSE ALL OPEN FILES
      IF (LUINDX.GT.0 .AND.LUINDX.LE.LUMAX) THEN
         DO 20 I = 1,LUINDX
            LUNIT = LUFILE(I)
            CLOSE (LUNIT)
20       CONTINUE
      ENDIF

      LUINDX = 0

!.....QUIT
      END
