del 1 - 99

! read in hot star from Simon's files

alaslins 9 0
alascols 1 3, alasrd /simon/models/9901/25060m10.blue.000, ymult 3.14159, push
alascols 1 4, alasrd /simon/models/9901/25060m10.blue.000, ymult 3.14159, push
usendf n
sp2rd /simon/models/9901/25050m10L.s, ymult 3.14159, push


! delete it becasue we're going to use Regina's model   :)

del 1 - 3

! read in hot star from Regina's files

alaslins 9 0, alascols 1 3 
alasrd /project11/rea/models/synth/9901/24060p00_blue_HeCMgSi_9901.000
ymult 3.14159, push
alascols 1 4
alasrd /project11/rea/models/synth/9901/24060p00_blue_HeCMgSi_9901.000
ymult 3.14159, push
usendf n
sp2rd /simon/models/9901/25050m10L.s, ymult 3.14159, push


! read in cool star

alascols 1 2, alaslins 9 0
alasrd /angela/stars/BILyn/models_specsyn/specsyn.BI_Lyn.m035545.blue
xmult 10, push
alascols 1 3, alaslins 9 0
alasrd /angela/stars/BILyn/models_specsyn/specsyn.BI_Lyn.m035545.blue
xmult 10, push
usendf y
atlasrd 5500 4.5, push
usendf n

! multiply cool star by R^2, add hot star, and normalize

pop 1, ydiv 'p1', aadd 4, title 'sdB+G',push
pop 2, ydiv 'p1', aadd 5, title 'sdB+G continuum', push
pop 8, adiv 7,  title 'sdB+G normalized', push

qsm 0.35, bin 3797 0.35, clrbrk, title 'sdB+G binned', push


! check with fluxes
pop 6, ymult 'p1', aadd 3, title 'sdB+G fluxes', push




!! try doing it Regina's way...

pop 1, ymult 6.33e-12, ymult 6.33e-12, title 'sdB scaled', push
pop 2, ymult 6.33e-12, ymult 6.33e-12, title 'sdB cont scaled', push
pop 4, ymult 3.98e-11, ymult 3.98e-11, title 'G scaled', push
pop 5, ymult 3.98e-11, ymult 3.98e-11, title 'G cont scaled', push
pop 12, aadd 14, title 'sdB+G', push
pop 13, aadd 15, title 'sdB+G cont', push
pop 17, adiv 16, title 'sdB+G norm', push
qsm 0.35, bin 3797 0.35, clrbrk, title 'sdB+G bin', push


! regina's test spectrum

alaslins 4 0, alascols 1 2, 
alasrd /home/rea/sfit/test/240609901p005545v0_blue.sp2.fit, title 'test', push
alascols 1 4
alasrd /home/rea/sfit/test/240609901p005545v0_blue.sp2.fit, title 'fit', push
alascols 1 5
alasrd /home/rea/sfit/test/240609901p005545v0_blue.sp2.fit, title 'A', push
alascols 1 6
alasrd /home/rea/sfit/test/240609901p005545v0_blue.sp2.fit, title 'B', push
