*COMDECK BLAZER
C-----------------------------------------------------------------------:-------
C INCLUDE MODULE: BLAZER
C-----------------------------------------------------------------------:-------
C     FILE 'LIB_DIR:BLAZER.INC'
C
C     CONTAINS LOCAL QUANTITIES USED TO EVALUATE THE BLAZE FUNCTION, AND
C     WHICH HAVE ALSO TO BE PASSED BETWEEN  SUBROUTINES <BLAZE> AND <DBLDX>
C-------------------------------------------------------------------------------
C
C.....SUBROUTINE ARGUMENTS
      INTEGER   NW, MO
      REAL      MM, LL, RR, DRDK
C    .LOCAL EQUIVALENTS
      REAL      OM, WL, RB
C
C.....LOCAL CONSTANTS
      REAL      PI
      DATA      PI / 3.1415927 /
      INTEGER   MSAVE
!     DATA      MSAVE / 0 /
C
C.....LOCAL VARIABLES
      REAL      XX, YY
      REAL      W0, WM, WP
      REAL      D0, DM, DP
      REAL      S0, SM, SP, SS
      INTEGER   M0, MX, MY
C
C.....LOCAL POLYNOMIAL COEFFICIENTS
      REAL      CBCOFF(10)
      REAL      CBDCFF(10)
      REAL      CBWCEN
      REAL      CBXMIN
      REAL      CBXMAX
C
C.....SAVE COEFFICIENTS FOR REPEATED USE ON SAME ORDER
      COMMON /BLTEMP/ M, N, MSAVE, OM, WL, RB, XX, YY,
     1                CBCOFF, CBDCFF, CBXMIN, CBXMAX, CBWCEN,
     1                D0, DM, DP, S0, SM, SP, SS
C
C===============================================================================
