*COMDECK LPDECK
C-----------------------------------------------------------------------:-------
C INCLUDE MODULE: LPDECK
C-----------------------------------------------------------------------:-------
C     CONTAINS DECLARATION OF VARIABLE NAMES AND COMMON BLOCKS FOR THE
C     LINE PROFILE ARRAYS USED BY THE SPECTROSCOPIC ANALYSIS PROGRAM "PROFILE"
C-------------------------------------------------------------------------------
C
C.....LINE PROFILE VARIABLES
      INTEGER         NLP, NLPW
      PARAMETER       (NLP=200)
      REAL            LPW(NLP), LPF(NLP), LPWL, LPWR, LPWC,
     1                LPTEFF,LPLOGG,LPVMIC,LPVROT,LPNH  ,LPNHE ,LPNC  ,
     2                LPNI,  LPLABW,LPEP  ,LPGF  ,LPEW  ,LPCG  ,
     3                LPOBSW,LPOBSE,LPRV  ,LPRVER
      COMMON /LPROFL/ NLPW, LPW, LPF, LPWL, LPWR, LPWC,
     1                LPTEFF,LPLOGG,LPVMIC,LPVROT,LPNH  ,LPNHE ,LPNC  ,
     2                LPNI,  LPLABW,LPEP  ,LPGF  ,LPEW  ,LPCG  ,
     3                LPOBSW,LPOBSE,LPRV  ,LPRVER
C   ..LINE PROFILE HEADER
      CHARACTER*79    LPHEAD(2)
      CHARACTER*10    LPHTEF,LPHLGG,LPHVMU,LPHVRO,LPHNH,LPHNHE,LPHNC,
     2                LPHION,LPHMLT,LPHNI ,LPHLAB,LPHEP,LPHGF, LPHEW
      COMMON /CHLPHD/ LPHEAD,
     1                LPHTEF,LPHLGG,LPHVMU,LPHVRO,LPHNH,LPHNHE,LPHNC,
     2                LPHION,LPHMLT,LPHNI ,LPHLAB,LPHEP,LPHGF, LPHEW
C
C.....LOCAL CONTINUUM DEFINITION
      REAL            CWL, CFL, CWR, CFR, CCA
      COMMON /CONTIN/ CWL, CFL, CWR, CFR, CCA
C
C===============================================================================
