------------------------------------------------------------------------------
 This file contains information about changes made to source of the LTE 
 programs while bringing them to the SUN from VMS.
------------------------------------------------------------------------------

1. All source file names were changed to lower case and given an 
   extention ".f".

2. First letter of every name  representing file,  which  contains  
   a PROGRAM section, was changed to upper case e.g.

    main.f          : file name changed to  Main.f
    atheii_test.f   : file name changed to  Atheii_test.f
    atlas.f         : file name changed to  Atlas.f
    generate.f      : file name changed to  Generate.f
    heii_test.f     : file name changed to  Heii_test.f
    hei_format.f    : file name changed to  Hei_format.f
    tau_scale.f     : file name changed to  Tau_scale.f
    voigt_test.f    : file name changed to  Voigt_test.f
    mod_check.f     : file name changed to  Mod_check.f
    opac_check.f    : file name changed to  Opac_check.f

3. Subroutine ATLAS6 changed to ATLAS_6 to remove conflict

   Changes made were

    atlas6.f  line 4 :  'ATLAS6' changed to 'ATLAS_6'
    atlas6.f       : file name changed to  atlas_6.f
    Atlas.f   line 46 :    'ATLAS6'  changed to  'ATLAS_6'

4. Suboutine HEII changed to HE_II to remove conflict

   Changes made were

    heii.f  line 6 :  'HEII' changed to 'HE_II'
    heii.f       : file name changed to  he_ii.f
    Heii_test.f  line 51,68,85,102,119 :  'HEII' changed to 'HE_II'
    lheii.f  line 90 :  'HEII' changed to 'HE_II'

 5. Suboutine LINOP changed to LIN_OP to remove conflict

    Changes made were

     linop.f  line 4 :  'LINOP' changed to 'LIN_OP'
     linop.f       : file name changed to  lin_op.f
     whole.f  line 61 :  'LINOP' changed to 'LIN_OP'

  6. Subroutine MODEL changed to MODEL_ATM to remove conflict

     Changes made were

      model.f  line 4 :  'MODEL' changed to 'MODEL_ATM'
      model.f       : file name changed to  model_atm.f
      Main.f  line 125,154,240,328 :  'MODEL' changed to 'MODEL_ATM'
      Mod_check.f  line 50 :  'MODEL' changed to 'MODEL_ATM'
      Opac_check.f  line 49 :  'MODEL' changed to 'MODEL_ATM'


  7. Two VAX files (hegrid.f and hesearch.f) contained coding
     for the same subroutine HESEARCH. On the basis of date 
     of creation hesearch.f was chosen.

  8. To implement softlinks in CAPITALS following changes made

      KIEL/kdebug.f  line 3 :  'lt_source:common_kiel' changed to 
      'LT_SOURCE:COMMON_KIEL'
      KIEL/kdebug.f  line 3 :  'lt_source:common_kiel' changed to 
      'LT_SOURCE:COMMON_KIEL'

  9. Problem with variable input in DP/gen.f - following changes made

      DP/gen.f      line 65 :     ',5000.,'  changed to  ',RLAMB,'
      DP/gen.f      line 69 :     ',5000.,'  changed to  '.,RLAMB,'
      DP/gen.f      line 73 :     ',5000.,'  changed to  ',RLAMB,'
      DP/gen.f      line 82 :     ',5000.,'  changed to  ',RLAMB,'
      DP/Generate.f         :   between lines 28 and 29 inserted :
                            '      RLAMB=5000.'

 10. To be compatible with UNIX file structure following change made

      DP/atsynt.f      line 39 :     'ATOMIC='LT_TEMP:'//AFILE'  
      changed to ATOMIC='LT_TEMP:/'//AFILE'

 11. DIPSO output files now dipso.nnn where 000.LE.nnn.LE.999

      DP/outdip.f : between lines 15 and 16 the line is inserted :
              '      CHARACTER*18 dips_ext'
      DP/outdip.f : line 156 (now 157) : 'FILE='LT_TEMP:DIPSO.TMP'' 
                     changed to  'FILE=dips_ext()'

 12. Mistake identified in DP/integ_avlo.f and DP/integ_planck
     with confusion betwee RLAMBP (stored in COMMON/LINE) 
     and RLAMP a local variable

      DP/integ_avlo.f   line 23 : 'RLAMBP/-1./'  changed to  'RLAMP/-1./'
      DP/integ_planck.f line 23 : 'RLAMBP/-1./'  changed to  'RLAMP/-1./'



