      SUBROUTINE LOCMIN (XX,N,X,J)

!+
!= PERFORMS BINARY SEARCH TO FIND MINIMUM VALUE IN A MONOTONIC ARRAY.
!  SEARCHES FOR J SUCH THAT X = XX(J) IS THE SMALLEST VALUE IN ARRAY XX(1:N).
!
!-

! Arguments given.
      REAL      XX(*)
      INTEGER   N

!  Arguments returned.
      REAL      X
      INTEGER   J

!.

      J = 1
      X = XX(J)
      DO I = 2,N
         IF (XX(I).LT.X) THEN
           J = I
           X = XX(J)
         ENDIF
      ENDDO
      END
