      SUBROUTINE DEFALT

!+
!     PROGRAM:       DEFALT
!     PURPOSE:       
!=                   TO PROVIDE DEFAULT VALUES FOR SPECIFIED VARIABLES
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          15 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'dispgx.f'


!     DEFAULT PROMPT STRING, AND CLEAR COMMAND BUFFER
      PROMPT = '> '
      COMAND = ' '
      INPUT  = ' '

!     DEFAULT FOR I/O FILES AND LOGICAL UNITS
      CALL LUDEF (5,6) ! VAX
!     CALL LUDEF (5,5) ! PDP10

      HLFILE = 'HLB_DIR:PROFIL.HLP'

!     DEFAULT PLOTTING ZONE
      ITZ  = 0

!     DEFAULT PLOTTING LABELS
      HEADER = ' '
      XLABEL = 'Wavelength'
      YLABEL = 'Intensity'

!     DEFAULT FOR LOCAL CONTINUUM
      CWL = 0.0
      CFL = 1.0
      CWR = 1.0E6
      CFR = 1.0
      CCA = 0.0

!     SWITCH ON AUTOMATIC MAPPING
      DXAUTO = .TRUE.
      DYAUTO = .TRUE.

!     SET UP OTHER DEFAULT OPTIONS
      DFRAME = .TRUE.
      DBOX   = .TRUE.
      DSPPLT = .TRUE.
      DLPPLT = .FALSE.
      DCTPLT = .FALSE.
      DPLTOK = .FALSE.

      END 
