      SUBROUTINE DTAREA

!+
!     PROGRAM:       DTAREA
!     PURPOSE:       
!=                   TO DEFINE THE PLOTTING ZONE OF THE DEVICE
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          26 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'dispgx.f'
      REAL    LEFT, RIGHT, BOTTOM, TOP
!.

!     GET THE DEVICE LIMITS

!     FROM COMMAND STRING
      IF (NARG.EQ.5) THEN
         JTZ    = IFRMCH  (ARG(1))
         LEFT   = RFRMCH  (ARG(2))
         RIGHT  = RFRMCH  (ARG(3))
         BOTTOM = RFRMCH  (ARG(4))
         TOP    = RFRMCH  (ARG(5))

!     MANUALLY
      ELSE
         CALL MESSGE ('DTAREA: Define the plotting zone ')
         CALL MESSGE ('        in relative device units')
         CALL GETINT ('        Identifier (1 - 16) : ',JTZ)
         CALL GETFPV ('        Left (0.0 - 1.0): ',LEFT)
         CALL GETFPV ('        Right           : ',RIGHT)
         CALL GETFPV ('        Bottom          : ',BOTTOM)
         CALL GETFPV ('        Top             : ',TOP)
      ENDIF

!     SAVE THE DEVICE LIMITS
      TX0(JTZ) = LEFT
      TX1(JTZ) = RIGHT
      TY0(JTZ) = BOTTOM
      TY1(JTZ) = TOP

      END
