      SUBROUTINE ATHEI_BCS


!+
!
!  ATHEI_BCS
!
!=      Reads in data for helium diffuse lines
!
!    BARNARD, COOPER & SHAMEY AA 1,28
!    BASSALO ET AL JQRST 28,75
!    BARNARD, COOPER & SMITH JQRST 14,1025
!    BARNARD, COOPER & SMITH JQRST 15,429
!
!-

!  Global variables
      USE SPC_GLOBAL


!  Double precision version
      IMPLICIT REAL*8 (A-H,O-Z)


!  Local input channel
      INTEGER NHEUNIT


!.

!
!
!       Read in numeric profiles for: 4026, 4388, 4471, 4921
!
      OPEN(UNIT=41,FILE='PROF_4026',STATUS='OLD')
      OPEN(UNIT=42,FILE='PROF_4388',STATUS='OLD')
      OPEN(UNIT=43,FILE='PROF_4471',STATUS='OLD')
      OPEN(UNIT=44,FILE='PROF_4921',STATUS='OLD')

      DO IL = 1,4
      NHEUNIT = 40 + IL
       DO IN = 1,10
         READ(NHEUNIT,200,END=20,ERR=20)
     :    ELHE1(IN,IL), (TEHE1(IT,IL),IT=1,4), NWHE1(IN,IL)
200      FORMAT (/F8.0,1X,4F10.0,I10)
         READ(NHEUNIT,201)
     :   (WHE1(IW,IN,IL),(SHE1(IW,IT,IN,IL),IT=1,4),IW=1,NWHE1(IN,IL))
201      FORMAT (F7.0,3X,4F10.0)
       ENDDO
20     CLOSE (NHEUNIT)
       NDHE1(IL)= IN - 1
      ENDDO

      END
