  SUBROUTINE INGRAT(NA,NN,H,QUA,TEG)

!  Integration of optical depth

    implicit none

      integer :: NA, NN
      real :: H
      real, dimension(NN) :: QUA, TEG

      integer :: NM2, NM3, NA1
      integer :: j

      NM2 = NN-2
      NM3 = NN-3
      NA1 = NA+1
      DO J = NA1,NM3
         QUA(J) = QUA(J-1) + H/48.D0 * (17.D0*TEG(J-1) + 42.D0*TEG(J) &
                  - 16.D0*TEG(J+1) + 6.D0*TEG(J+2) - TEG(J+3))
      ENDDO
      DO J = NM2,NN
!****                          3: doesn't look right for Simpson -> 6 ?
         QUA(J) = QUA(J-2)+ H/3.D0 * (TEG(J-2) + 4.D0*TEG(J-1)&
                 + TEG(J))
      ENDDO
 
  END SUBROUTINE INGRAT

