  MODULE STN_FLUXES

    USE lte_precisions
    IMPLICIT NONE
    PRIVATE :: QQ, RR
 
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: BNU   ! Planck function     B_nu(tau)
      REAL, ALLOCATABLE, DIMENSION (:) :: SNU   ! Source function     S_nu(tau)
      REAL, ALLOCATABLE, DIMENSION (:) :: JNU   ! Mean intensity      J_nu(tau)
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: FNU   ! Total flux          F_nu(tau)

      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: FNUC  ! Total flux in continuum
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: JNUC  ! Mean intensity in continuum
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: FNUL  ! Total flux in lines
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: JNUL  ! Mean intensity in lines
                                                         ! h-s equilibrium blowing up
! for new temp correction (madej)
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: DEN_DELT
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: NUM_DELT

    END MODULE STN_FLUXES
