      SUBROUTINE KEY_PL (PARSTR,LPAR)

!+
!=     EXTRACT FIRST PARAMETER AS a LOGICAL VARIABLE FROM PARAMETER STRING
!
!     TRUTH TABLE:   FALSE  F  .F.  .FALSE.  O   OFF   N   NO   -   (DEFAULT)
!                    TRUE   T  .T.  .TRUE.   1   ON    Y   YES  +
!-

      CHARACTER   PARSTR*(*), CPAR*80, BLANK*80
      LOGICAL     LPAR
      INTEGER     IKL
      DATA        BLANK /' '/
!.

!    GET STRING LENGTH AND CHECK VALID
      CPAR = BLANK
      CALL STR_LEN ( PARSTR, LS )
      IF (LS.EQ.0) RETURN
!    STRIP LEADING BLANKS
      DO 11 I = 1,LS
11     IF (PARSTR(I:I).NE.' ') GOTO 12
12    PARSTR = PARSTR(I:LS)//BLANK
!    EXTRACT PARAMETER AND RETURN REMAINDER OF STRING
      CALL STR_LEN ( PARSTR, LS )
      IKL = INDEX ( PARSTR, ' ')
      IF (IKL.GT.0) THEN
       CPAR   = PARSTR(1:IKL-1)//BLANK
       PARSTR = PARSTR(IKL+1:LS)//BLANK
      ELSE
       CPAR   = PARSTR(1:LS)
       PARSTR = BLANK
      ENDIF

!    PROCESS CPAR TO IDENTIFY STATUS
      LPAR = .FALSE.
      IF (CPAR(1:2).EQ.'ON')     LPAR = .TRUE.
      IF (CPAR(1:1).EQ.'1')      LPAR = .TRUE.
      IF (CPAR(1:1).EQ.'T')      LPAR = .TRUE.      ! T, TRUE
      IF (CPAR(1:2).EQ.'.T')     LPAR = .TRUE.      ! .T., .TRUE.
      IF (CPAR(1:1).EQ.'Y')      LPAR = .TRUE.      ! Y, YES
      IF (CPAR(1:1).EQ.'+')      LPAR = .TRUE.

      END
