      SUBROUTINE STR_EQUIV ( STR1, STR2, EQUIV )

!+
!=    DETERMINE WHETHER TWO CHARACTER STRINGS ARE IDENTICAL
!     (NB - THIS ROUTINE IS CASE DEPENDENT )
!     SUPPLIED SO THAT CHARACTER-VARIABLES OF DIFFERING LENGTHS MAY BE
!     COMPARED SAFELY
!-

      CHARACTER*(*)    STR1, STR2
      LOGICAL          EQUIV
      INTEGER          L1, L2
!.

!     compare by length, then by character
      EQUIV = .FALSE.
      CALL STR_LEN ( STR1, L1 )
      CALL STR_LEN ( STR2, L2 )
      IF ( L1.EQ.L2 ) THEN
        IF ( STR1(1:L1).EQ.STR2(1:L2) ) THEN
          EQUIV = .TRUE.
        ENDIF
      ENDIF
      END
